Subject: bug#66394: 29.1; Make register-read-with-preview more useful

From: Michael Heerdegen <[email-masked]>
Date: Tue, 24 Oct 2023 05:42:45 +0200

Thierry Volpiatto <[email-masked]> writes:

> Yes but I think this should go into another commit on top of my patch
> to avoid having a "too big patch".

Yes, maybe.

Ok, some more remarks (I have looked at that url now...):

* Would it make sense to also allow M-n (known as "future history" for
  `completing-read') to gather the next free register (seems also
  natural - just a thought)

* Multiple times I saw "contains no text" where a better hint would have
  been to say "empty".  Not all registers contain text.  Happens
  e.g. for C-x r SPC R where R is any unused register.

* register-preview-default-keys may be initialized using
  (mapcar #'string (number-sequence ?a ?z)) if you like.

Hope we get more opinions about this interface suggestion.

Thx,

Michael.